import { post } from '#/api/http'

import { BasicService } from '../basic'

class PaperTitleService extends BasicService {
  async batchAdd(data: any) {
    return await post<any>('/school/paperTitle/batch/add', data)
  }

  protected findPageUrl(): string {
    // 查询教材的题目
    return '/school/subjectTitle/list'
  }

  protected removeUrl(): string {
    throw new Error('Method not implemented.')
  }

  protected saveOrUpdateUrl(): string {
    throw new Error('Method not implemented.')
  }
}

export const paperTitleService = new PaperTitleService()
